### 4.28.1 pyobject declarations

Syntax:
  pyobject name `=` pyobject_expression `;`

Purpose:
  defines a `python` object.

Default:
  `None`

Example:

        pyobject empty;
      ==> no pyobject support
        empty;
      ==>    ? missing blackbox_String
      ==>
      ==>    ? error occurred in or before ./examples/pyobject_declarations.sing li\
         ne 2: `  empty;`

        pyobject pystr = "Hello World!";
        pyobject pyone = 17;
        pyobject pylst = list(pystr, pyone);
      ==>    ? missing blackbox_Copy
      ==>    ? error occurred in or before ./examples/pyobject_declarations.sing li\
         ne 6: `  pyobject pylst = list(pystr, pyone);`
        pylst;
      ==>    ? `pylst` is undefined
      ==>    ? error occurred in or before ./examples/pyobject_declarations.sing li\
         ne 7: `  pylst;`

User manual for Singular version 4.4.1, 2025, generated by texi2html.